Bug 1003675 - Always be notified about bug based on product or component
Always be notified about bug based on product or component
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 12:42 EDT by Kevin Fenzi
Modified: 2014-10-12 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.1010
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 18:33:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-09-02 12:42:45 EDT
Greetings. 

This is a request spawned off from: 

https://bugzilla.redhat.com/show_bug.cgi?id=1002352

We have in Fedora a Package Review component for all new package reviews. 
We add package-review@lists.fedoraproject.org to cc for this component, but users can remove this user from cc (either via the token in emails to the list, which generates no history on who it was) or via the regular interface (where there is history, but it's still anoying). 

Ideally there would be a way for all changes to bugs in Package Review would CC package-review@lists.fedoraproject.org and not allow users to remove that address from CC. (Or some other more direct internal email bypassing the cc list entirely)

I have no idea how hard this would be to implement, but if it's doable that would be great. 

Happy to provide more info or feedback.

Thanks.
Comment 1 Simon Green 2013-09-02 17:21:05 EDT
Just for clarification, you want to receive an e-mail when product = 'Fedora' and component = 'Package Review'?

What e-mails the user receives will be based on the user's preference for the 'Other' column in their e-mail preference screen. https://bugzilla.redhat.com/userprefs.cgi?tab=email
Comment 2 Kevin Fenzi 2013-09-02 18:02:34 EDT
(In reply to Simon Green from comment #1)
> Just for clarification, you want to receive an e-mail when product =
> 'Fedora' and component = 'Package Review'?

Yes. Also "Fedora EPEL" and component "Package Review". 
 
> What e-mails the user receives will be based on the user's preference for
> the 'Other' column in their e-mail preference screen.
> https://bugzilla.redhat.com/userprefs.cgi?tab=email

Yeah, but there has to first be some relationship right? assigned, cc, etc. We use InitialCC for this component, but users can simply remove package-review from the cc list.
Comment 3 Simon Green 2013-09-02 20:07:08 EDT
(In reply to Kevin Fenzi from comment #2)
> Yeah, but there has to first be some relationship right? assigned, cc, etc.
> We use InitialCC for this component, but users can simply remove
> package-review from the cc list.

The user will have a custom relationship with these bugs, which will be covered under the 'Other' column in the e-mail preferences.
Comment 4 Kevin Fenzi 2013-09-02 22:33:04 EDT
That would be great then.
Comment 6 Simon Green 2013-10-10 19:49:05 EDT
FYI: Here is the config file we are using. Let me know if it is wrong.

always_cc:
  - product: [ Fedora, Fedora EPEL ]
    component: [ Package Review ]
    email: [ package-review@lists.fedoraproject.org ]
Comment 7 Kevin Fenzi 2013-10-13 16:25:31 EDT
That looks ideal to me. ;) 

Would this only affect new bugs as they are filed? 

Or would it also take effect for all existing ones that already have been filed?
Comment 8 Simon Green 2013-10-13 16:26:49 EDT
(In reply to Kevin Fenzi from comment #7)
> That looks ideal to me. ;) 
> 
> Would this only affect new bugs as they are filed? 
> 
> Or would it also take effect for all existing ones that already have been
> filed?

New bugs, and all existing bugs in the specified products and component.
Comment 9 Simon Green 2013-11-03 18:33:07 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.